use comfy::{
	draw_rect_outline, draw_sprite, main_camera_mut, EngineContext, IVec2, Vec2, RED,
	WHITE
};

use crate::game::ZLayer;

pub mod worldgen;

pub fn draw(state: &crate::State, _engine: &comfy::EngineContext<'_>) {
	for (coords, tile) in state.overworld.iter_tiles() {
		for (i, texture) in tile.textures().iter().rev().enumerate() {
			let i = i as i32;
			draw_sprite(
				*texture,
				coords.as_vec2(),
				WHITE,
				ZLayer::MapMax - i,
				Vec2::ONE
			);
			draw_rect_outline(coords.as_vec2(), Vec2::ONE, 0.1, RED, 10);
		}
	}
}

pub fn update(state: &mut crate::State, _engine: &mut EngineContext<'_>) {
	let mut camera = main_camera_mut();
	camera.center = Vec2::ZERO;
	camera.zoom = 30.0;
	state.overworld.get_or_generate_tile(IVec2::ZERO);
}
